xmlgraphics-fop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Simon Steiner (Jira)" <j...@apache.org>
Subject [jira] [Commented] (FOP-2935) servlet-api dependency scope
Date Fri, 27 Nov 2020 11:07:00 GMT

    [ https://issues.apache.org/jira/browse/FOP-2935?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17239630#comment-17239630
] 

Simon Steiner commented on FOP-2935:
------------------------------------

You need to wait for the next fop release

> servlet-api dependency scope
> ----------------------------
>
>                 Key: FOP-2935
>                 URL: https://issues.apache.org/jira/browse/FOP-2935
>             Project: FOP
>          Issue Type: Bug
>    Affects Versions: 2.4
>            Reporter: Stefan Ziegler
>            Assignee: Simon Steiner
>            Priority: Major
>             Fix For: trunk
>
>
> I had troubles with the Apache FOP's servlet-api:2.2 dependency in a Spring Boot application.
The "javax.servlet.ServletContext" class is available in Spring Boot's Tomcat dependency and
in FOP's servlet-api dependency. If Java picks up the the class from servlet-api it's too
old. Tomcat refuses to start.
> Can the scope of the servlet-api be changed in FOP's pom.xml?



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message